> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Atribuir função

> Criar atribuição de função de conta

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.pt-br.json POST /v1/public/accounts/{account_id}/auth/role-assignments
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/auth/role-assignments:
    post:
      tags:
        - public-accounts
        - public-account-auth
      summary: Criar atribuição de função de conta
      description: Crie uma atribuição de função com escopo de conta.
      operationId: >-
        create_public_account_role_assignment_v1_public_accounts__account_id__auth_role_assignments_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RoleAssignmentRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RoleAssignmentResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erro de validação
      security:
        - PublicBearerAuth: []
components:
  schemas:
    RoleAssignmentRequest:
      description: Solicitar esquema para criar uma nova atribuição de função.
      properties:
        resource_id:
          description: Identificador de recurso de escopo de atribuição
          format: uuid
          title: recurso ID
          type: string
        resource_type:
          $ref: '#/components/schemas/ResourceType'
          description: Tipo de recurso de escopo de atribuição
        role_key:
          $ref: '#/components/schemas/RoleKey'
          description: Chave de função definida por código
        subject_id:
          description: Identificador de usuário, grupo ou conta de serviço
          minLength: 1
          title: sujeito ID
          type: string
        subject_type:
          $ref: '#/components/schemas/SubjectType'
          description: >-
            Tipo de sujeito da atribuição de função: user, group ou
            service_account
      required:
        - subject_type
        - subject_id
        - role_key
        - resource_type
        - resource_id
      title: RoleAssignmentRequest
      type: object
    RoleAssignmentResponse:
      properties:
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Criado em
        expanded_capability_keys:
          items:
            type: string
          title: Chaves de capacidade expandidas
          type: array
        id:
          format: uuid
          title: ID
          type: string
        resource_id:
          format: uuid
          title: recurso ID
          type: string
        resource_type:
          title: recurso tipo
          type: string
        revoked_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: revogado em
        role_key:
          title: Chave de função
          type: string
        subject_id:
          title: sujeito ID
          type: string
        subject_type:
          title: sujeito tipo
          type: string
      required:
        - id
        - subject_type
        - subject_id
        - role_key
        - resource_type
        - resource_id
        - expanded_capability_keys
      title: RoleAssignmentResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detalhe
          type: array
      title: HTTPValidationError
      type: object
    ResourceType:
      description: Authorization resource e scope types.
      enum:
        - client
        - account
        - workspace
        - domain
        - dns_record
        - mailbox
        - redirect
        - forwarding
        - credential
        - tenant
        - route
        - proxy
      title: ResourceType
      type: string
    RoleKey:
      description: Identificadores de função reutilizáveis ​​estáveis.
      enum:
        - viewer
        - editor
        - domain_manager
        - manager
        - dns_manager
        - ip_manager
        - billing_viewer
        - billing_admin
        - credential_manager
      title: RoleKey
      type: string
    SubjectType:
      description: Tipos de assunto de autorização.
      enum:
        - user
        - group
        - service_account
      title: SubjectType
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Localização
          type: array
        msg:
          title: Mensagem
          type: string
        type:
          title: Tipo de erro
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````